System Administration
cancel
Showing results for 
Search instead for 
Did you mean: 

do we need to update hp-OpenIPMI when new linux kernel is installed

do we need to update hp-OpenIPMI when new linux kernel is installed

Hello

my system runs RHEL 4U6 with 2.6.9-67.0.15.ELsmp kernel.

I have below version of hpasm installed and working.
hp-OpenIPMI-7.9.0-110.rhel4
hpasm-7.9.0-116.rhel4
cmanic-7.9.0-5.rhel4

There was a system hung and redhat engineer says hpasm could be one reason.

Now, what my doubts are:-

1. the hp-OpenIPMI-7.9.0-110.rhel4 has below kernel modules in it.

# rpm -ql hp-OpenIPMI-7.9.0-110.rhel4 |grep ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-42.EL/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-42.ELlargesmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-42.ELsmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-55.EL/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-55.ELlargesmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-55.ELsmp/ipmi_devintf.ko

this list is missing the 2.6.9-67.0.15.ELsmp, so do I need to install the new hp-OpenIPMI-8.1.2-24.rhel4 rpm which has the modules for this kernel?

# rpm -qpl hp-OpenIPMI-8.1.2-24.rhel4.x86_64.rpm |grep ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-42.EL/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-42.ELlargesmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-42.ELsmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-55.EL/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-55.ELlargesmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-55.ELsmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-67.EL/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-67.ELlargesmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-67.ELsmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-78.EL/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-78.ELlargesmp/ipmi_devintf.ko
/opt/hp/hp-OpenIPMI/bin/2.6.9-78.ELsmp/ipmi_devintf.ko

2. Is it necessary to update the hp-OpenIPMI when we install new RHEL kernel?

NOTE:-
currently the hpasm is working fine. Atleast the status says so...

# service hpasm status

hpasmd is running... [ OK ]
Status of Foundation Agents (cmafdtn): cmathreshd cmahostd cmapeerd

cmathreshd is running... [ OK ]

cmahostd is running... [ OK ]

cmapeerd is running... [ OK ]
Status of Server Agents (cmasvr): cmastdeqd cmahealthd

cmastdeqd is running... [ OK ]

cmahealthd is running... [ OK ]
Status of Storage Agents (cmastor): cmaeventd cmaidad cmaided cmascsid cmasasd

cmaeventd is running... [ OK ]

cmaidad is running... [ OK ]

cmaided is running... [ OK ]

cmascsid is running... [ OK ]

cmasasd is running... [ OK ]

# service cmanic status
cmanicd (pid 6048) is running...


thank you
Br, Kanthaa
3 REPLIES

Re: do we need to update hp-OpenIPMI when new linux kernel is installed

Also, is the hp-OpenIPMI rpm is mandatory to get the hpasm running?
John Donovan
Regular Advisor

Re: do we need to update hp-OpenIPMI when new linux kernel is installed

The following should be helpful: http://h20000.www2.hp.com/bizsupport/TechSupport/Document.jsp?lang=en&cc=us&taskId=120&prodSeriesId=316587&prodTypeId=15351&objectID=c01330219

Basically, do not use HP OpenIPMI. If installed, just run the three commands and it will be removed with the non-HP version of OpenIPMI.

Hope this helps...

:-)
--donovan
"I have not failed. I've just found 10,000 ways that won't work." - Thomas Edison

Re: do we need to update hp-OpenIPMI when new linux kernel is installed

thanks for the information. But my servers runs RHEL4U6, not 5.

Is the issue still applicable?

-kanthaa